## PR Summary
### Purpose
_Describe the problem or feature in addition to a link to the issues._

### Approach
_How does this change address the problem?_

### Learning
_Describe the research stage_

_Links to blog posts, patterns, libraries or addons used to solve this problem_

## PR Checklist
- [ ] All ``tox`` commands succeed
- [ ] Docs have been added / updated (for bug fixes / features)
- [ ] Has pytest style unit tests

## Closing Issues
<!-- Put `closes #XXXX` in your comment to auto-close the issue that your PR fixes (if such). -->
Fixes #


<!--
Thank you so much for your PR!  To help us review your contribution, please
consider the following points:

- Help with git and github is available at
  https://matplotlib.org/devel/gitwash/development_workflow.html.

- Do not create the PR out of master, but out of a separate branch.

- The PR title should summarize the changes, for example "Raise ValueError on
  non-numeric input to set_xlim".  Avoid non-descriptive titles such as
  "Addresses issue #8576".

- The summary should provide at least 1-2 sentences describing the pull request
  in detail (Why is this change required?  What problem does it solve?) and
  link to any relevant issues.

- If you are contributing fixes to docstrings, please pay attention to
  the style guides for Sphinx and NumPy docstrings.  In particular,
  note the difference between using single backquotes, double backquotes, and
  asterisks in the markup.

We understand that PRs can sometimes be overwhelming, especially as the
reviews start coming in.  Please let us know if the reviews are unclear or
the recommended next step seems overly demanding, if you would like help in
addressing a reviewer's comments, or if you have been waiting too long to hear
back on your PR.
-->
