# Brand Promise

The MicroStructPy team and community take security bugs in MicroStructPy seriously. We appreciate your efforts to responsibly disclose your findings, and will make every effort to acknowledge your contributions.

# Scope

If you believe you've found a security issue in software that is maintained in this repository, we encourage you to notify us.

| Version | In scope           | Source code                                           |
| ------- | ------------------ | ----------------------------------------------------- |
| latest  | :white_check_mark: | https://github.com/kip-hart/MicroStructPy             |
| v1.1.0  | :white_check_mark: | https://github.com/kip-hart/MicroStructPy/tree/v1.1.0 |
| v1.0.1  | :white_check_mark: | https://github.com/kip-hart/MicroStructPy/tree/v1.0.1 |
| v1.0.0  | :white_check_mark: | https://github.com/kip-hart/MicroStructPy/tree/v1.0.0 |

# How to Submit a Report

To submit a vulnerability report, please use Tidelift (https://tidelift.com/security). Your submission will be reviewed and validated by a member of our team.

# Safe Harbor

We support safe harbor for security researchers who:

* Make a good faith effort to avoid privacy violations, destruction of data, and interruption or degradation of our services.
* Only interact with accounts you own or with explicit permission of the account holder. If you do encounter Personally Identifiable Information (PII) contact us immediately, do not proceed with access, and immediately purge any local information.
* Provide us with a reasonable amount of time to resolve vulnerabilities prior to any disclosure to the public or a third-party.

We will consider activities conducted consistent with this policy to constitute "authorized" conduct and will not pursue civil action or initiate a complaint to law enforcement. We will help to the extent we can if legal action is initiated by a third party against you.

Please submit a report to us before engaging in conduct that may be inconsistent with or unaddressed by this policy.

# Preferences

* Please provide detailed reports with reproducible steps and a clearly defined impact.
* Include the version number of the vulnerable package in your report
* Social engineering (e.g. phishing, vishing, smishing) is prohibited.
